onEvent('item.registry', event => {
	event.create('my_part').type('create:sequenced_assembly').displayName('My Part')
	event.create('my_part2').type('create:sequenced_assembly').displayName('Miner Cake Part')
	event.create('egg').type('create:sequenced_assembly').displayName('Egg Spawner')
	event.create('star').type('create:sequenced_assembly').displayName('Star')
	event.create('chestplate').type('create:sequenced_assembly').displayName('ChestPlate')
	event.create('star_ingot').type('create:sequenced_assembly').displayName('Infused Netherite')
	event.create('membrane').type('create:sequenced_assembly').displayName('Leather Membrane')
	event.create('nethercake').type('create:sequenced_assembly').displayName('Nether Cake')
	event.create('caketw').type('create:sequenced_assembly').displayName('Twilight Forest Cake')
})

onEvent('block.registry', event => {
	event.create('yolo_stone')
	.material('honey')
	.hardness(1.5)
	.displayName('Yolo Stone')
	.harvestTool('pickaxe', 3)
	.requiresTool(true)
	.lightLevel(1.0)
})

onEvent('block.registry', event => {
	event.create('aperocube')
	.material('portal')
	.unbreakable()
	.hardness(-1)
	.resistance(MAX_VALUE)
	.displayName('L°apérocube')
	.lightLevel(1.0)
})

onEvent('block.modification', event => {
	event.modify('minecraft:stone', block => {
	  block.destroySpeed = 1.5
	  block.requiresTool = false
	})
})

onEvent('block.modification', event => {
	event.modify('craftingstation:crafting_station', block => {
	  block_entity.Stringmaterial(rock)
	  block_entity.StringsoundType(rock)
	  block_entity.harvestTool(pickaxe,0)
	})
})

onEvent('block.modification', event => {
	event.modify('craftingstation:crafting_station_slab', block => {
		block_entity.Stringmaterial(rock)
		block_entity.StringsoundType(rock)
		block_entity.harvestTool(pickaxe,0)
	})
})

onEvent('block.modification', event => {
	event.modify('minecraft:cobblestone', block => {
	  block.destroySpeed = 1.5
	  block.requiresTool = true
	  block.harvestTool(pickaxe,0)
	})
})


  events.listen('item.registry', function (e) {
	e.create('platinum_ingot').displayName('Platinum Ingot')
	e.create('platinum_nugget').displayName('Platinum Nugget')
	})

	events.listen('block.registry', function (e) {
	e.create('platinum_block').material('iron').hardness(0.5).displayName('Block of Platinum')
	e.create('dragon_bee_flower').material('rock').hardness(0.5).displayName('Dragon Bee Flower')
	e.create('chaotic_bee_flower').material('rock').hardness(0.5).displayName('Chaotic Bee Flower')
	})